Package relaxngcc.codedom

# Class CDObjectCreateExpression

java.lang.Object
relaxngcc.codedom.CDExpression
relaxngcc.codedom.CDObjectCreateExpression

All Implemented Interfaces:
  `CDStatement`

public class CDObjectCreateExpression extends CDExpression implements CDStatement

## Method Summary

Modifier and Type
Method
Description
`CDObjectCreateExpression`
`arg(CDExpression arg)`
`void`
`express(CDFormatter f)`
`void`
`state(CDFormatter f)`
Prints itself as a statement.

### Methods inherited from class relaxngcc.codedom.CDExpression

`_new, arrayRef, arrayRef, castTo, invoke, not, prop`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### arg

public CDObjectCreateExpression arg(CDExpression arg)

### express

public void express(CDFormatter f) throws IOException

Throws:
  `IOException`

### state

public void state(CDFormatter f) throws IOException
Description copied from interface: `CDStatement`
Prints itself as a statement.

Specified by:
  `state` in interface `CDStatement`
Throws:
  `IOException`